package stack;
/**
* Interfaccia che fornisce una struttura LIFO.
*/
public interface StackInterface<T>
{
	/**
	* Metodo di inserimento.
	* Ritorna true in caso di successo, false in caso di fallimento.
	*/
	boolean push(T elem);

	/**
	* Metodo di lettura distruttiva.
	* Ritorna null in caso di stack vuoto.
	*/
	T pop();

	/**
	* Metodo di interrogazione sul numero di elementi contenuti.
	*/
	int size();

	/**
	* Metodo di interrogazione sulla condizione di stack vuoto.
	*/
	boolean isEmpty();

	/**
	* Metodo di interrogazione sulla condizione di stack pieno.
	*/
	boolean isFull();

	/**
	* Metodo per la rappresentazione stringa dello stack.
	*/
	String toString();
}
